summaryrefslogtreecommitdiffstats
path: root/source/n/stunnel/stunnel.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/stunnel/stunnel.SlackBuild')
-rwxr-xr-xsource/n/stunnel/stunnel.SlackBuild40
1 files changed, 35 insertions, 5 deletions
diff --git a/source/n/stunnel/stunnel.SlackBuild b/source/n/stunnel/stunnel.SlackBuild
index 187dfa526..f988a3c4e 100755
--- a/source/n/stunnel/stunnel.SlackBuild
+++ b/source/n/stunnel/stunnel.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,10 +21,20 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=4.17
-ARCH=${ARCH:-x86_64}
+PKGNAM=stunnel
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i486" ]; then
@@ -36,6 +46,9 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
CWD=$(pwd)
@@ -47,7 +60,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf stunnel-$VERSION
-tar xvf $CWD/stunnel-$VERSION.tar.gz || exit 1
+tar xvf $CWD/stunnel-$VERSION.tar.?z || exit 1
cd stunnel-$VERSION || exit 1
chown -R root:root .
find . \
@@ -58,18 +71,27 @@ find . \
CFLAGS="$SLKCFLAGS" \
./configure \
- --prefix= \
+ --prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--exec-prefix= \
--sysconfdir=/etc \
--datadir=/usr/share \
--mandir=/usr/man \
--sbindir=/usr/sbin \
+ --bindir=/usr/bin \
--localstatedir=/var \
--build=$ARCH-slackware-linux
make $NUMJOBS || make || exit 1
+# This used to be installed in /usr/sbin, so it would probably be nice to
+# link from there:
+mkdir -p $PKG/usr/sbin
+( cd $PKG/usr/sbin
+ ln -sf ../bin/stunnel .
+ ln -sf ../bin/stunnel3 .
+)
+
mkdir -p $PKG/var/run/stunnel
# This will produce a useless key.
make -i install DESTDIR=$PKG
@@ -100,6 +122,14 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" \
chmod 0755 $PKG/var/lib
chown root:root $PKG/var/lib
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh